<div class="container-fluid">

    <div class="shadow p-3 mb-5 bg-body rounded">
        <form #formLogin="ngForm" class="form-horizontal ">
            <div id="login">
                <h3 class="text-center text-white pt-5">Login Yakoiou</h3>

                <div id="login-row" class="row justify-content-center align-items-center">
                    <div id="login-column" class="col-md-6">
                        <div id="login-box" class="col-md-12">
                            <form id="login-form" class="form" action="" method="post">
                                <h4 class="text-center text-info"><i class="fas fa-user-circle"></i>Login</h4>
                                <div class="form-group">
                                    <label for="username" class="text-info">Username:</label><br>
                                    
                                    <i class="fa fa-user icon"></i>
                                    <input [(ngModel)]="login.username" name="username" type="text" class="form-control"
                                        required pattern="[a-zA-Z].+" value="username"
                                        [ngModelOptions]="{standalone: true}" />
                                </div>
                                <div class="form-group">
                                    <label for="password" class="text-info">Password:</label><br>
                                    <i class="fa fa-key icon"></i>
                                    <input [(ngModel)]="login.password" name="password" type="password"
                                        class="form-control" required minlength="3"
                                        [ngModelOptions]="{standalone: true}" />
                                </div>
                                <div class="form-group">
                                    
                                    <input type="submit" name="login" class="btn btn-lg btn-success"
                                        (click)="onLogin()" value="Signin">
                                        <input type="submit" name="cancel" class="btn btn-lg btn-danger"
                                        (click)="goBack()" value="Cancel ">
                                        <div *ngIf="error" class="alert alert-danger mt-3 mb-0">{{error}}</div>
                                </div>
                                <div id="register-link" class="text-right">
                                    <a routerLink="/ngr-register" class="text-info">Register here</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </form>
    </div>
    </div>
    <!--<div class="col-md-6 offset-md-3 mt-5">

        <div class="card">
            <h4 class="card-header ">Login</h4>
            <div class="card-body">
                <form #formLogin="ngForm" class="form-horizontal ">
                    <div class="form-group">
                        <label for="username" class="text-info">Username:</label><br>
                        <input [(ngModel)]="login.username" name="username" type="text" class="form-control" required
                            pattern="[a-zA-Z].+" value="username" [ngModelOptions]="{standalone: true}" />
                    </div>
                    <div class="form-group">
                        <label for="password" class="text-info">Password:</label><br>
                        <input [(ngModel)]="login.password" name="password" type="password" class="form-control"
                            required minlength="3" [ngModelOptions]="{standalone: true}" />
                    </div>
                    <div class="form-group">

                        <input type="submit" name="button" class="btn btn-lg btn-success"
                            (click)="onLogin()" value="submit">
                    </div>
                    <div class="form-group">
                        <button [disabled]="loading" class="btn btn-primary">
                            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                            Login
                        </button>
                        <div *ngIf="error" class="alert alert-danger mt-3 mb-0">{{error}}</div>
                </form>
            </div>
        </div>
    </div>-->